| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
fsdk::ILivenessIREstimator Struct Referenceabstract

Infra red liveness estimator interface. More...

`#include <ILivenessIREstimator.h>`

Inheritance diagram for fsdk::ILivenessIREstimator:

## Public Member Functions
virtual ResultValue< FSDKError, float > | FSDK_DEPRECATED ("estimate by irWarp is deprecated since v.3.6.5, ""use estimate(const Image& irWarp, IREstimation& irEstimation) instead") estimate(const Image &irWarp) const noexcept=0
| Check whether or not infrared warp corresponds to the real person. More...
virtual Result< FSDKError > | FSDK_DEPRECATED ("estimate by irWarps[] and scores[] is deprecated since v.3.6.5"", use estimate(Span<const Image> irWarps, Span<IREstimation> irEstimations) ""instead") estimate(const Image irWarps[]
| Check whether or not array of infrared warps corresponds to the real person. More...
virtual Result< FSDKError > | FSDK_DEPRECATED ("estimate by Image irWarps[], batchSize and irEstimation[] ""is deprecated since v.3.6.5, use ""estimate(Span<const Image> irWarps, Span<IREstimation> irEstimations) instead)"" instead") estimate(const Image irWarps[]
| Check whether or not array of infrared warps corresponds to the real person. More...
virtual Result< FSDKError > | estimate (const Image &irWarp, IREstimation &irEstimation) const noexcept=0
| Check whether or not infrared warp corresponds to the real person. More...
virtual Result< FSDKError > | estimate (Span< const Image > irWarps, Span< IREstimation > irEstimations) const noexcept=0
| Check whether or not span of infrared warps corresponds to the real person. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Public Attributes
virtual Result< FSDKError > const uint32_t | batchSize
virtual Result< FSDKError > const uint32_t float scores[] const | noexcept = 0
virtual Result< FSDKError > const uint32_t IREstimation irEstimation[] const | noexcept = 0

## Detailed Description

Infra red liveness estimator interface.

Note
  This estimator is designed for face analysis using infra red facial warp (8-bit 1 channel) image.

See Also
  IWarper for details.

## Member Function Documentation

virtual Result<FSDKError> fsdk::ILivenessIREstimator::estimate | ( | const Image & | irWarp,
|  | IREstimation & | irEstimation
| ) |  | const
| pure virtual noexcept

Check whether or not infrared warp corresponds to the real person.

Parameters

  [in] | irWarp | infra red face warp.
  [out] | irEstimation. |

Returns
  Error code

See Also
  FSDKError for details.

virtual Result<FSDKError> fsdk::ILivenessIREstimator::estimate | ( | Span< const Image > | irWarps,
|  | Span< IREstimation > | irEstimations
| ) |  | const
| pure virtual noexcept

Check whether or not span of infrared warps corresponds to the real person.

Parameters

  [in] | irWarps | span of warped images, format of images must be R8G8B8, R16 or IR_X8X8X8
  [out] | irEstimations | span of estimations,

See Also
  IREstimation

Returns
  Error code

See Also
  FSDKError for details

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual ResultValue<FSDKError, float> fsdk::ILivenessIREstimator::FSDK_DEPRECATED | ( | "estimate by irWarp is deprecated since v.3.6. | 5,
|  | ""use estimate(const Image &irWarp, IREstimation &irEstimation) instead" |
| ) |  | const
| pure virtual noexcept

Check whether or not infrared warp corresponds to the real person.

Parameters

  [in] | irWarp | infra red face warp.

Returns
  ResultValue with error code and score of estimation.

Note
  estimation score normalized between 0.0 and 1.0, where 1.0 equals to 100% confidence that person on image is alive, and 0.0 equals to 0%. supporting image formats are: Format::R8 (single channel), Format::R8G8B8(three channels), Format::IR_X8X8X8(three channels)

virtual Result<FSDKError> fsdk::ILivenessIREstimator::FSDK_DEPRECATED | ( | "estimate by irWarps []and scores []is deprecated since v.3.6.5"" | ,
|  | use estimate(Span< const Image > irWarps, Span< IREstimation > irEstimations)" "instead" |
| ) |  | const
| virtual

Check whether or not array of infrared warps corresponds to the real person.

Parameters

  [in] | irWarps | array of infra red face warps.
  [in] | batchSize | length of irWarps array
  [out] | scores | array of estimation scores

Returns
  Error code

See Also
  FSDKError for details.

Note
  estimation score normalized between 0.0 and 1.0, where 1.0 equals to 100% confidence that person on image is alive, and 0.0 equals to 0%.

virtual Result<FSDKError> fsdk::ILivenessIREstimator::FSDK_DEPRECATED | ( | "estimate by Image | irWarps[],
|  | batchSize and irEstimation" "[]is deprecated since v.3.6. | 5,
|  | use" "estimate(Span< const Image > irWarps, Span< IREstimation > irEstimations) | instead
| ) |  | const
| virtual

Check whether or not array of infrared warps corresponds to the real person.

Parameters

  [in] | irWarps | array of infra red face warps.
  [in] | batchSize | length of irWarps array
  [out] | irEstimation | array of ir-estimations

Returns
  Error code

See Also
  FSDKError for details.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessIREstimator.h